"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai = require("chai");
require("mocha");
chai.should();
class Tester {
    constructor() {
        this.tests = [];
    }
    run() {
        const name = this.getTestTarget().constructor.name;
        describe(name, () => this.tests.forEach(this.runTest));
    }
    addTest(title, exec) {
        this.tests.push({ title, exec });
        return this;
    }
    runTest(test) {
        it(test.title, test.exec);
        return this;
    }
}
exports.Tester = Tester;
//# sourceMappingURL=Tester.js.map