import { IStatic } from './IStatic';
import { Tester } from './Tester';
import { IScraperOptions, Scraper } from 'source-scraper-core';
import 'mocha';
export declare class ScraperTester<T, SO extends IScraperOptions, S extends Scraper<T, SO>> extends Tester<S> {
    static fromStatic<T, SO extends IScraperOptions, S extends Scraper<T, SO>>(runner: IStatic<S>): ScraperTester<T, SO, S>;
    scraper: S;
    constructor(scraper: S);
    testUrlDetection(correctUrls: string[], incorrectUrls?: string[]): this;
    testScraping(urls: string[], options?: SO): this;
    protected getTestTarget(): S;
}
