"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Tester_1 = require("./Tester");
require("mocha");
class RunnerTester extends Tester_1.Tester {
    constructor(runner) {
        super();
        this.runner = runner;
    }
    static fromStatic(runner) {
        return new RunnerTester(new runner());
    }
    testArgs(urls, argsTest, options) {
        return this.addTest('should provide valid args', () => urls.forEach(async (url) => this.runner.run(url, async (args) => {
            args.should.be.an('object');
            argsTest(args, url);
            return Promise.resolve({});
        }, options)));
    }
    getTestTarget() {
        return this.runner;
    }
}
exports.RunnerTester = RunnerTester;
//# sourceMappingURL=RunnerTester.js.map