import { IStatic } from './IStatic';
import { Tester } from './Tester';
import { IRunnerArgs, IRunnerOptions, Runner } from 'source-scraper-core';
import 'mocha';
export declare type IArgsTest<RA extends IRunnerArgs> = (args: RA, url: string) => void;
export declare class RunnerTester<RO extends IRunnerOptions, RA extends IRunnerArgs<RO>, R extends Runner<any, RO, RA>> extends Tester<R> {
    static fromStatic<RO extends IRunnerOptions, RA extends IRunnerArgs<RO>>(runner: IStatic<Runner<any, RO, RA>>): RunnerTester<RO, RA, Runner<any, RO, RA>>;
    runner: R;
    constructor(runner: R);
    testArgs(urls: string[], argsTest: IArgsTest<RA>, options?: RO): this;
    protected getTestTarget(): R;
}
