import 'mocha';
export declare type ITestExec = () => any;
export interface ITest {
    title: string;
    exec: ITestExec;
}
export declare abstract class Tester<T> {
    tests: ITest[];
    run(): void;
    addTest(title: string, exec: ITestExec): this;
    protected runTest(test: ITest): this;
    protected abstract getTestTarget(): T;
}
